# addProvider

abstract fun <T> addProvider(configurationName: String, dependencyNotation: Provider<T>)

Adds a dependency constraint provider to the given configuration.

#### Since

8.12

#### Parameters

configurationName

The name of the configuration.

dependencyNotation

The dependency constraint notation provider, in one of the notations described above.

abstract fun <T> addProvider(configurationName: String, dependencyNotation: Provider<T>, configureAction: Action<in DependencyConstraint>)

Adds a dependency constraint provider to the given configuration, eventually configures the dependency constraint using the given action.

#### Since

8.12

#### Parameters

configurationName

The name of the configuration.

dependencyNotation

The dependency constraint notation provider, in one of the notations described above.

configureAction

The action to use to configure the dependency constraint.